Subject: bug#21952: 24.5; auto-revert-tail-mode doesn't work (perhaps because of nfs)

From: Michael Albinus <[email-masked]>
Date: Tue, 23 Aug 2016 10:22:09 +0200

Eli Zaretskii <[email-masked]> writes:

>> I'm accustomed to monitoring the log files of running jobs with emacs
>> using auto-revert-tail-mode.  This no longer works on Emacs 24, but 
>> works fine on previous versions of Emacs.  I don't know if the fact
>> that our disks are mounted via NFS is the problem or not, but I ran one
>> trial on a local disk in which auto-revert-tail-mode did work.

> Does it help to set auto-revert-use-notify to nil?

When autorevert detects a file on a known mount location,
`auto-revert-use-notify' is set to nil per default. See
`auto-revert-notify-exclude-dir-regexp', which uses

(regexp-opt '("/afs/" "/media/" "/mnt" "/net/" "/tmp_mnt/"))

Perhaps, the file Dan wants to watch is mounted somewhere else. In this
case I recommend to extend that variable.

Dan, could you check whether this works for you?

Best regards, Michael.